// Black Level
BLC_SENSOR_BLACK             25 25 25 25
BLC_SYS_BLACK                64

// Defective Pixel Fixing
DPF_DETECT_ENABLE            1
DPF_THRESHOLD                5
DPF_WEIGHT                   1

// Colour Correction (for CCT 4500)
CCM_MATRIX                   1.75396 -0.648136 -0.105825 -0.601936 1.94569 -0.343752 0.163683 -0.987688 1.824
CCM_OFFSETS                  -132.839 -132.207 -136.637

// Display Gammut Mapper
DGM_CLIP_MAX                 1
DGM_CLIP_MIN                 0
DGM_COEFF                    0 0 0 0 0 0
DGM_SLOPE                    1 1 0
DGM_SRC_NORM                 1

// Primary Denoiser
DNS_COMBINE_ENABLE           1
DNS_STRENGTH                 2

// Display Scaler
DSC_ADJUST_CUTOFF_FREQ       0
DSC_BYPASS                   0
DSC_PITCH                    1 1
DSC_RECT                     0 0 0 0
DSC_RECT_TYPE                croprect

// Encoder Scaler
ESC_ADJUST_CUTOFF_FREQ       0
ESC_BYPASS                   0
ESC_CHROMA_MODE              inter
ESC_PITCH                    1 1
ESC_RECT                     0 0 0 0
ESC_RECT_TYPE                croprect

// Gamma Correction
GMA_BYPASS                   0

// Lens Shading and White Balance (for CCT 4500)
LSH_WBCLIP                   1 1 1 1
LSH_WBGAIN                   1.62332 1 1.00103 2.66344

// Main Gammut Mapper
MGM_CLIP_MAX                 1
MGM_CLIP_MIN                 0
MGM_COEFF                    0 0 0 0 0 0
MGM_SLOPE                    1 1 0
MGM_SRC_NORM                 1

// Global Output parameters
OUT_DE                       NONE
OUT_ENC                      NV12
OUT_DISP                     RGB888_32

// RGB to YCC
R2Y_BRIGHTNESS               0
R2Y_CONTRAST                 1
R2Y_HUE                      0
R2Y_MATRIX                   BT709
R2Y_RANGE_MUL                1 1 1
R2Y_SATURATION               1

// Sharpening
SHA_DENOISE_BYPASS           0
SHA_DETAIL                   0.5
SHA_EDGE_OFFSET              0
SHA_EDGE_SCALE               0
SHA_DN_SIGMA_MULTIPLIER      0.5
SHA_DN_TAU_MULTIPLIER        3
SHA_RADIUS                   2
SHA_STRENGTH                 0.5
SHA_THRESH                   0

// Tone Mapper
TNM_BYPASS                   0
TNM_COLOUR_CONFIDENCE        1
TNM_COLOUR_SATURATION        1
TNM_FLAT_FACTOR              0
TNM_FLAT_MIN                 0
TNM_IN_Y                     -64 64
TNM_OUT_Y                    16 235
TNM_WEIGHT_LINE              0
TNM_WEIGHT_LOCAL             0

// YCC to RGB
Y2R_BRIGHTNESS               0
Y2R_CONTRAST                 1
Y2R_HUE                      0
Y2R_MATRIX                   BT709
Y2R_RANGE_MUL                1.1689 1.1429 1.1429
Y2R_SATURATION               1

// Temperature Correction parameters
WB_COMBINED_AC_WEIGHT        0.25
WB_COMBINED_HLW_WEIGHT       0.75
// The white patch statistic leads to colour oscillations with volatile thresholds (see #IPCAMSW-5465)
WB_COMBINED_WP_WEIGHT        0

WB_CORRECTIONS 6

WB_CCM_0    1.03757 0.416719 -0.454288 -0.729645 1.98 -0.308722 -0.153041 -0.929891 1.98
WB_CCM_1    1.60609 -0.424972 -0.181117 -0.690481 1.98 -0.289519 0.0694848 -1 1.93052
WB_CCM_2    1.75396 -0.648136 -0.105825 -0.601936 1.94569 -0.343752 0.163683 -0.987688 1.824
WB_CCM_3    1.76619 -0.672114 -0.0940724 -0.525451 1.90371 -0.37826 0.123608 -0.845721 1.72211
WB_CCM_4    1.78496 -0.704441 -0.0805187 -0.476778 1.87345 -0.396677 0.0994424 -0.770948 1.67151
WB_CCM_5    1.82006 -0.775358 -0.0447056 -0.420827 1.83162 -0.410791 0.0828727 -0.715134 1.63226

WB_GAINS_0    1.20196 1 1.0012 4.91564
WB_GAINS_1    1.41027 1 1.00107 3.31409
WB_GAINS_2    1.62332 1 1.00103 2.66344
WB_GAINS_3    1.85074 1 1.00129 2.29846
WB_GAINS_4    2.0501 1 1.00111 2.09956
WB_GAINS_5    2.31209 1 1.00062 1.92327

WB_OFFSETS_0    -131.281 -119.585 -116.705
WB_OFFSETS_1    -132.21 -132.441 -136.67
WB_OFFSETS_2    -132.839 -132.207 -136.637
WB_OFFSETS_3    -132.557 -131.854 -136.188
WB_OFFSETS_4    -132.697 -131.797 -136.321
WB_OFFSETS_5    -133.218 -132.093 -136.219

WB_TEMPERATURE_0    2500
WB_TEMPERATURE_1    3500
WB_TEMPERATURE_2    4500
WB_TEMPERATURE_3    5500
WB_TEMPERATURE_4    6500
WB_TEMPERATURE_5    7500

// Auto Exposure parameters
AE_TARGET_GAIN               1.0
AE_TARGET_BRIGHTNESS         0
AE_MAX_GAIN                  10.0
AE_MAX_EXPOSURE              33000
AE_FLICKER_REJECTION         0
AE_FLICKER_AUTODETECT        1
AE_FLICKER_FREQ              50
// A high value leads to overshoot and unbounded oscillations (see #IPCAMSW-5530)
AE_UPDATE_SPEED              0.2
